*** orig/texinfo-.1/info/filesys.c	Sun Aug 29 18:40:54 1993
--- src/texinfo-.1/info/filesys.c	Sun Aug 29 21:04:00 1993
***************
*** 273,279 ****
    if ((i >= strlen (string)) || !string)
      return ((char *) NULL);
  
!   while (string[i] && string[i] != ':')
      i++;
    if (i == start)
      {
--- 273,279 ----
    if ((i >= strlen (string)) || !string)
      return ((char *) NULL);
  
!   while (string[i] && string[i] != PATH_SEPARATOR_CHAR)
      i++;
    if (i == start)
      {
***************
*** 382,388 ****
      strcpy (infopath, path);
    else if (where == INFOPATH_APPEND)
      {
!       strcat (infopath, ":");
        strcat (infopath, path);
      }
    else if (where == INFOPATH_PREPEND)
--- 382,388 ----
      strcpy (infopath, path);
    else if (where == INFOPATH_APPEND)
      {
!       strcat (infopath, PATH_SEPARATOR_STR);
        strcat (infopath, path);
      }
    else if (where == INFOPATH_PREPEND)
***************
*** 389,395 ****
      {
        char *temp = savestring (infopath);
        strcpy (infopath, path);
!       strcat (infopath, ":");
        strcat (infopath, temp);
        free (temp);
      }
--- 389,395 ----
      {
        char *temp = savestring (infopath);
        strcpy (infopath, path);
!       strcat (infopath, PATH_SEPARATOR_STR);
        strcat (infopath, temp);
        free (temp);
      }
***************
*** 425,431 ****
--- 425,435 ----
        int descriptor;
        char *contents;
  
+ #if defined (__MSDOS__)
+       descriptor = open (pathname, O_RDONLY | O_BINARY, 0666);
+ #else /* __MSDOS__ */
        descriptor = open (pathname, O_RDONLY, 0666);
+ #endif /* __MSDOS__ */
  
        /* If the file couldn't be opened, give up. */
        if (descriptor < 0)
