*** orig/texinfo-.1/info/pc_term.h	Sun Aug 29 18:41:08 1993
--- src/texinfo-.1/info/pc_term.h	Sun Aug 29 18:56:42 1993
***************
*** 0 ****
--- 1,46 ----
+ /* pc_term.h */
+ 
+ /* This file is part of the MSDOS-DJGPP-port of the GNU standalone
+    Info-reader
+ 
+    Copyright (C) Hans-Bernhard Broeker
+ 
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2, or (at your option)
+    any later version.
+ 
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+ 
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ 
+    Written by Hans-Bernhard Broeker (softbrek@POOL.Informatik.RWTH-Aachen.DE)
+ */
+ 
+ #ifndef PC_TERM_H
+ #define PC_TERM_H
+ 
+ void pc_begin_inverse();
+ void pc_end_inverse();
+ void pc_prep_terminal();
+ void pc_unprep_terminal();
+ void pc_up_line();
+ void pc_down_line();
+ void pc_clear_screen();
+ void pc_clear_to_eol();
+ void pc_get_screen_size();
+ void pc_goto_xy();
+ void pc_initialize_terminal();
+ void pc_new_terminal();
+ void pc_put_text();
+ void pc_ring_bell();
+ void pc_write_chars();
+ void pc_scroll_terminal();
+ 
+ #endif /* PC_TERM_H
+  
