{$A+,B-,D-,E+,F-,G-,I-,L-,N-,O-,P-,Q-,R-,S-,T-,V-,X-,Y-}
{$M 16384,0,0}
(* ====================================================== *)
(*                      UCONVERT.PAS                      *)
(*                  Converts Unix ^M to DOS ^M^J          *)
(*                      (C) 1994 jb                       *)
(* ====================================================== *)

PROGRAM UConvert;

VAR
 source, target : File OF CHAR;
 SName,  TName  : STRING[79];
 Count          : LongInt;
 ThisChar       : CHAR;

BEGIN
  IF ParamCount <> 1 THEN BEGIN
    WriteLn('Usage: uconvert infile');
    Halt(1);
  END;
  SName := ParamStr(1);
  TName := 'TEMP.FIL';
  Assign(source, SName);
  IF IOResult <> 0 THEN BEGIN
    WriteLn('Error: Source file not found!');
    Halt(2);
  END;
  Reset(source);
  Assign(target, TName);
  Rewrite(target);
  WHILE NOT Eof(source) DO BEGIN
    Read(source, ThisChar);
    IF ThisChar = ^J THEN BEGIN
      ThisChar := ^M;
      Write(target, ThisChar);
      Write(ThisChar);
      ThisChar := ^J;
    END;
    Write(target, ThisChar);
    Write(ThisChar);
  END;
  Close(source);
  Close(target);
  Erase(source);
  Rename(target, SName);
END.
