*** orig/libgplus.5/libio/filebuf.cc	Sat Nov 13 18:08:46 1993
--- src/libgplus.5/libio/filebuf.cc	Sat Nov 13 19:07:48 1993
***************
*** 24,30 ****
--- 24,34 ----
  
  Written by Per Bothner (bothner@cygnus.com). */
  
+ #ifdef __MSDOS__
+ #include "iostreaP.h"
+ #else
  #include "iostreamP.h"
+ #endif
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <fcntl.h>
***************
*** 102,107 ****
--- 106,119 ----
      posix_mode |= O_CREAT;
    if (mode & (int)ios::noreplace)
      posix_mode |= O_EXCL;
+ #ifdef O_BINARY
+   if (mode & (int)ios::binary)
+     posix_mode |= O_BINARY;
+ #endif
+ #ifdef O_TEXT
+   if (mode & (int)ios::text)
+     posix_mode |= O_TEXT;
+ #endif
    int fd = ::open(filename, posix_mode, prot);
    if (fd < 0)
      return NULL;
