*** orig/texinfo-.1/info/signals.c	Sun Aug 29 18:41:16 1993
--- src/texinfo-.1/info/signals.c	Sun Aug 29 19:02:20 1993
***************
*** 76,86 ****
  void
  initialize_info_signal_handler ()
  {
! #if defined (SIGTSTP)
    old_TSTP = (SigHandler *) signal (SIGTSTP, info_signal_handler);
    old_TTOU = (SigHandler *) signal (SIGTTOU, info_signal_handler);
    old_TTIN = (SigHandler *) signal (SIGTTIN, info_signal_handler);
! #endif /* SIGTSTP */
  
  #if defined (SIGWINCH)
    old_WINCH = (SigHandler *) signal (SIGWINCH, info_signal_handler);
--- 76,86 ----
  void
  initialize_info_signal_handler ()
  {
! #if defined (SIGTSTP) && !defined (__MSDOS__)
    old_TSTP = (SigHandler *) signal (SIGTSTP, info_signal_handler);
    old_TTOU = (SigHandler *) signal (SIGTTOU, info_signal_handler);
    old_TTIN = (SigHandler *) signal (SIGTTIN, info_signal_handler);
! #endif /* SIGTSTP && !__MSDOS__ */
  
  #if defined (SIGWINCH)
    old_WINCH = (SigHandler *) signal (SIGWINCH, info_signal_handler);
***************
*** 110,125 ****
  
    switch (sig)
      {
! #if defined (SIGTSTP)
      case SIGTSTP:
      case SIGTTOU:
      case SIGTTIN:
! #endif
  #if defined (SIGINT)
      case SIGINT:
  #endif
        {
! #if defined (SIGTSTP)
  	if (sig == SIGTSTP)
  	  old_signal_handler = &old_TSTP;
  	if (sig == SIGTTOU)
--- 110,125 ----
  
    switch (sig)
      {
! #if defined (SIGTSTP) && !defined (__MSDOS__)
      case SIGTSTP:
      case SIGTTOU:
      case SIGTTIN:
! #endif /* SIGTSTP && !__MSDOS__ */
  #if defined (SIGINT)
      case SIGINT:
  #endif
        {
! #if defined (SIGTSTP) && !defined (__MSDOS__)
  	if (sig == SIGTSTP)
  	  old_signal_handler = &old_TSTP;
  	if (sig == SIGTTOU)
***************
*** 126,132 ****
  	  old_signal_handler = &old_TTOU;
  	if (sig == SIGTTIN)
  	  old_signal_handler = &old_TTIN;
! #endif /* SIGTSTP */
  	if (sig == SIGINT)
  	  old_signal_handler = &old_INT;
  
--- 126,132 ----
  	  old_signal_handler = &old_TTOU;
  	if (sig == SIGTTIN)
  	  old_signal_handler = &old_TTIN;
! #endif /* SIGTSTP && !__MSDOS__ */
  	if (sig == SIGINT)
  	  old_signal_handler = &old_INT;
  
***************
*** 137,143 ****
--- 137,145 ----
  	fflush (stdout);
  	terminal_unprep_terminal ();
  	signal (sig, *old_signal_handler);
+ #if !defined (__MSDOS__)
   	UNBLOCK_SIGNAL (sig);
+ #endif /* !__MSDOS__ */
  	kill (getpid (), sig);
  
  	/* The program is returning now.  Restore our signal handler,
